XMLSynchronizedStringPool Class Reference
Inheritance diagram for XMLSynchronizedStringPool:

## Public Member Functions

| XMLSynchronizedStringPool (const XMLStringPool *constPool, const unsigned int modulus=109, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~XMLSynchronizedStringPool ()
virtual unsigned int | addOrFind (const XMLCh *const newString)
virtual bool | exists (const XMLCh *const newString) const
virtual bool | exists (const unsigned int id) const
virtual void | flushAll ()
virtual unsigned int | getId (const XMLCh *const toFind) const
virtual const XMLCh * | getValueForId (const unsigned int id) const
virtual unsigned int | getStringCount () const

## Constructor & Destructor Documentation

## XMLSynchronizedStringPool()

XMLSynchronizedStringPool::XMLSynchronizedStringPool | ( | const XMLStringPool * | constPool,
|  | const unsigned int | modulus = `109`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ~XMLSynchronizedStringPool()

virtual XMLSynchronizedStringPool::~XMLSynchronizedStringPool | ( |  | ) |

virtual

## Member Function Documentation

## addOrFind()

virtual unsigned int XMLSynchronizedStringPool::addOrFind | ( | const XMLCh *const | newString | ) |

virtual

## exists() [1/2]

virtual bool XMLSynchronizedStringPool::exists | ( | const unsigned int | id | ) | const

virtual

## exists() [2/2]

virtual bool XMLSynchronizedStringPool::exists | ( | const XMLCh *const | newString | ) | const

virtual

## flushAll()

virtual void XMLSynchronizedStringPool::flushAll | ( |  | ) |

virtual

## getId()

virtual unsigned int XMLSynchronizedStringPool::getId | ( | const XMLCh *const | toFind | ) | const

virtual

## getStringCount()

virtual unsigned int XMLSynchronizedStringPool::getStringCount | ( |  | ) | const

virtual

## getValueForId()

virtual const XMLCh* XMLSynchronizedStringPool::getValueForId | ( | const unsigned int | id | ) | const

virtual

The documentation for this class was generated from the following file:

- SynchronizedStringPool.hpp